<?php
/**
 * @package Sj K2 Slideshow
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;
$app = & JFactory::getApplication();
$template = $app->getTemplate();

ImageHelper::setDefault($params);
JHtml::stylesheet('templates/'.$template.'/html/'.$module->module.'/css/k2-slideshow.css');

if(!empty($list)) {
	
	$instance	= rand().time();
	$options=$params->toObject();
	
	$start = $params->get('start', 1);
	if ($start <= 0 || ($start > count($list))){
		$start = 1;
	}
	$start_item = &$list[$start-1];
	$play = $params->get('play', 1);
	if (!$play){
		$interval = 0;
	} else {
		$interval = $params->get('interval', 5000);
	}	
if(!empty($options->pretext)) { ?>
<div class="pre-text">
	<?php echo $options->pretext; ?>
</div>
<?php } ?>
<div class="k2-slideshow theme1 <?php if( $options->effect == 'slide' ){ echo $options->effect;}?>" id="k2-slideshow_<?php echo $instance; ?>" data-interval="<?php echo $interval; ?>" data-pause="<?php echo $options->pause_hover; ?>">
   
	<div class="k2-slideshow-inner">
		<?php 
		$j = 0 ;
		$i=0;
		foreach($list as $item) {
			$j++;?>
		<?php
			$inumber = $list;
			if($i< $inumber) $i++;
			elseif ($i== $inumber) $i=1;
        ?>
		
		<div class="sl-item  <?php if($j == $start){echo "active";}?> item <?php  echo'sl'.$i;?>" data-href="<?php echo $item->link; ?>" data-caption="<?php echo modSjK2SlideShowHelper::truncate($item->title, $params->get('itemTitleWordLimit',20)); ?>">
			<div class="sl-item-image">
				<a href="<?php echo $item->link ?>" <?php echo modSjK2SlideShowHelper::parseTarget($options->link_target);?> title="<?php echo $item->title?>">
		    		<?php $img = modSjK2SlideShowHelper::getK2Image($item, $params);
    					echo modSjK2SlideShowHelper::imageTag($img);?>
				</a>
			</div>
			<?php if( $options->itemIntroText == 1 && !empty($item->displayIntrotext )){ ?>
			<div class="sl-item-info">
				
				<div class="sl-item-content" >
					<?php if($options->itemTitle==1) { ?>
						<h3 class="sl-item-title">
							<a href="<?php echo $item->link ?>" <?php echo modSjK2SlideShowHelper::parseTarget($options->link_target);?> title="<?php echo $item->title?>">
								<?php echo modSjK2SlideShowHelper::truncate($item->title, $params->get('itemTitleWordLimit',20)); ?>
							</a>
						</h3>
					<?php } ?>
					<?php if( $options->itemIntroText == 1 ) { ?>
						<div class="sl-item-description">
							<?php echo modSjK2SlideShowHelper::truncate($item->displayIntrotext, $params->get('itemIntroTextWordLimit',200)); ?>
						</div>
					<?php } ?>
					<?php if( $options->itemReadMore == 1 ) { ?>
					<div class="sl-item-readmore">
						<a href="<?php echo $item->link ?>" <?php echo modSjK2SlideShowHelper::parseTarget($options->link_target);?> title="<?php echo $item->title?>" >
							<?php echo $options->item_readmore_text; ?>
						</a>
					</div>
					<?php } ?>
				</div>
			</div>
			<?php }?>
            
		</div><!--End sj-item-->
		<?php } ?>
	</div>  
		<div class="sl-control">
			
			<div class="sl-captions">
                <div class="sl-item-moreinfo" >
                    <ul class="list-captions item1">
                        <li><i class="icon-date"></i><?php echo JText::sprintf( JHTML::_('date',$list['0']->created, 'd M Y')); ?></li>
                        <li><i class="icon-eye-open"></i><?php echo $list['0']->hits; ?>   </li>
                        <li><i class="icon-comment"></i><?php echo $list['0']->numOfComments; ?> </li>
                    </ul>
                   
                </div>
				
			</div>
			
			<ul class="pag-list">
				<?php 
				$i=0;
				foreach( $list as $getitem ): 
				?>
					<li class="pag-item <?php if( $i == $start-1 ){echo ' sel';}?>" href="<?php echo '#k2-slideshow_'.$instance;?>" data-jslide="<?php echo $i;?>">
                    	<ul class="list-captions item<?php echo $i+1; ?>" style="display:none">
							<li><i class="icon-date"></i><?php echo JText::sprintf( JHTML::_('date',$getitem->created, 'd M Y')); ?></li>
							<li><i class="icon-eye-open"></i><?php echo $getitem->hits; ?>   </li>
							<li><i class="icon-comment"></i><?php  echo $getitem->numOfComments; ?> </li>
						</ul>
                    </li>
				<?php 
				$i++;
				endforeach; ?>
			</ul>
		</div>
	
</div>
<?php if(!empty($options->posttext)) {  ?>
<div class="post-text">
	<?php echo $options->posttext; ?>
</div>
<?php }} else {?>
	<p><?php echo JText::_('Has no content to show!'); ?></p>
<?php }?>

<script>
//<![CDATA[    					
	jQuery(function($){
		$('#k2-slideshow_<?php echo $instance; ?>').each(function(){
			var $this = $(this), options = options = !$this.data('modal') && $.extend({}, $this.data());
			$this.jcarousel(options);
			var html_info = '';
			$this.bind('jslide', function(e){
				var index = $(this).find(e.relatedTarget).index();
				// process for nav
				$('[data-jslide]').each(function(){
					var $nav = $(this), $navData = $nav.data(), href, $target = $($nav.attr('data-target') || (href = $nav.attr('href')) && href.replace(/.*(?=#[^\s]+$)/, ''));
					if ( !$target.is($this) ) return;
					if (typeof $navData.jslide == 'number' && $navData.jslide==index){
						$nav.addClass('sel');
					} else {
						$nav.removeClass('sel');
					}
					$(this).bind('click', function(e){
						html_info = $(this).html();
						$this.find('.sl-item-moreinfo').html(html_info);
					})
				});
				
				// process change title
				/*var itemd = $(this).find(e.relatedTarget).data();
				$this.find('.slide-caption').attr({
					'data-caption': itemd.caption,
					'href': itemd.href
				});*/
			});
		});
		return ;
	});
//]]>	
</script>
