<?php
/*
 * ------------------------------------------------------------------------
 * Yt FrameWork for Joomla 3.0
 * ------------------------------------------------------------------------
 * Copyright (C) 2009 - 2012 The YouTech JSC. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: The YouTech JSC
 * Websites: http://www.smartaddons.com - http://www.cmsportal.net
 * ------------------------------------------------------------------------
*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
// Object of class YtTemplate(incluedes/yt_template.class.php)
global $yt;
$params_cookie =array(
				  'direction', 
				  'fontsize',
				  'font_name',
				  'sitestyle',
				  'bgcolor',
				  'linkcolor',
				  'textcolor',
				  'header-bgimage',
				  'header-bgcolor',
				  'footer-bgcolor',
				  'footer-bgimage',
				  'default_main_layout',
				  'menustyle',
				  'googleWebFont'
);
$yt = new YtTemplate($this, $params_cookie);
// Get Itemid
$Itemid = JRequest::getInt('Itemid');
// Returns a reference to the global document object
$doc = JFactory::getDocument(); 
//
$ytrtl = $yt->getParam('direction');
$float1 = ($ytrtl == 'rtl')?' float:right; ':' float:left; ';
$float2 = ($ytrtl == 'rtl')?' float:left; ':' float:right; ';
// BEGIN get param template
$font_name                  = $yt->getParam('font_name');
$fontsize                   = $yt->getParam('fontsize');
$windows_main_layout		= $yt->getParam('default_main_layout');
$override_layouts			= $yt->getParam('override_layouts');
$setGeneratorTag			= $yt->getParam('setGeneratorTag');
$googleWebFont 				= $yt->getParam('googleWebFont');
$googleWebFontTargets		= $yt->getParam('googleWebFontTargets');
// END get param template
// Include Class YtRenderXML
if($windows_main_layout=='-1' || $windows_main_layout=='') die(JTEXT::_("SELECT_LAYOUT_NOW"));
include_once (J_TEMPLATEDIR.J_SEPARATOR.'includes'.J_SEPARATOR.'yt_renderxml.php');

$boolOverride = false;
$override_b1 = array(); $override_b1 = explode(' , ', $override_layouts); 
if( count($override_b1)>1 || ($override_b1['0']!='' && count($override_b1)==1) ) { 
	$override_b2 = array();
	for($i=0; $i<count($override_b1); $i++){
		$override_b2[] = explode(':', $override_b1[$i]);
	}
	if( !empty($override_b2) ){
		foreach($override_b2 as $o){
			if($Itemid == $o[0]){$boolOverride = true; $layoutItem = trim($o[1]);}
		}
	}
}

if($boolOverride == true){ // Window Overwrite Layouts
	$yt_render = new YtRenderXML($layoutItem.'.xml');
}else{ // Window Layout default
	$yt_render = new YtRenderXML($windows_main_layout);  
}

// Set GeneratorTag
$this->setGenerator($setGeneratorTag);

/*** Javascript ***/
if(J_VERSION=='2'){
	JHTML::_('behavior.framework'); 
}
 
$doc->addScript($yt->templateurl().'js/yt-script.js');
if(isset($yt_render->arr_TH['script'])){
	foreach($yt_render->arr_TH['script'] as $tagScript){
		$doc->addScript($yt->templateurl().'js/'.$tagScript);;	
	}
}
// Add JavaScript Frameworks
if(J_VERSION=='3'){
	JHtml::_('bootstrap.framework');
}elseif(J_VERSION=='2'){
	if (!defined('SMART_JQUERY')){
		define('SMART_JQUERY', 1);
		$doc->addScript($yt->templateurl().'js/jquery.min.js');
		$doc->addScript($yt->templateurl().'js/jquery-noconflict.js');
	}	
}


?>