// JavaScript Document
jQuery(function($){
	$(window).load(function() {
		var el_scroll = "#content_left .content-left-in";
		var class_scroll = "sidebar-fixed";
		var el_depend = "#content_main .content-main-inner";
		var el_wrapmenu = "#yt_header .container";
		var class_wrapmenu ="keep-header";
		// Begin: Keep menu & scroll left content
		scrollElement(el_scroll, class_scroll, el_depend);
		keepElement(el_wrapmenu, class_wrapmenu);
		$(window).resize(function(){
			scrollElement(el_scroll, class_scroll, el_depend);
			$(el_wrapmenu).css('left', $('#content .container').offset().left);
		})
		// End: Keep menu & scroll left content
		
	});
	// Keep element(wrap menu) on screen >=768
	function keepElement(element, eclass) {
		if($(element).length && $(window).width() >=768){
			var element_OffsetLeft = $(element).offset().left;
			var element_H = $(element).parent().parent().height()+'px';
			$(element).addClass(eclass);
			$(element).css('left', element_OffsetLeft);
			$(element).parent().parent().css('padding-bottom', element_H);
		}
	}
	// Scroll element(Left content) on screen >=1024
	function scrollElement(element, eclass, depend) {
		if($(window).width() > 1024 && $(element).length >0 && $(depend).length >0 && $(element).height()< $(depend).height()){
			var ctsb_offsettop = $(element).offset().top;
			var ctsb_height = $(element).height();
			var ctsb_width = $(element).parent().width();
			$(element).css('width',ctsb_width);
	
			$(window).scroll(function () {
				var ctsb_limitscroll = $(depend).height();
				var scrollTop = $(window).scrollTop();
				if(scrollTop >= ctsb_offsettop){
					$(element).addClass(eclass);
					$(element).css('top', ctsb_offsettop);
				} else{
					$(element).removeClass(eclass);
					$(element).css('top', '');
				}
				var scrollmax = ctsb_offsettop + ctsb_limitscroll - ctsb_height;
				if(scrollTop >= scrollmax){
					$(element).css('position','relative');
					$(element).css('top',ctsb_limitscroll - ctsb_height + 15);
					$(element).removeClass(eclass);
				} else {
					$(element).css('position','');
				}
			});
		}
	}
});