<?php
/**
 * @package Sj Responsive Content for K2
 * @version 2.5.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */



defined('_JEXEC') or die;
ImageHelper::setDefault($params);
$options = $params->toObject();
	foreach($list  as $item){ 
		$img = modSjK2ResContentHelper::getK2Image($item, $params);
?>


	<div id='<?php echo 'sj-k2-responsive-content-'.$module->id;?>' >
		<div class="responsive-content-box">
			<div class="responsive-content-box-inner">
				<div class="responsive-content-box-bg">
					<div class="item">
					<?php
			        	$img = modSjK2ResContentHelper::getK2Image($item, $params);
			        	if($img){
			        	?>
						<div class="item-img">
							<img class="responsive-loadimage" title="<?php echo $item->title; ?>" alt="<?php echo $item->title; ?>"  src="<?php echo ImageHelper::init($img)->src(); ?>"  style="display:none;" />
							<?php 	echo modSjK2ResContentHelper::imageTag($img); ?>
							
							<div class="mask">
								<?php if($params->get('itemIntroText', 1) == 1 && $item->displayIntrotext !='') {?>
									<div class="item-desc">
										<?php echo modSjK2ResContentHelper::truncate($item->displayIntrotext, $params->get('itemIntroTextWordLimit',200)); ?>
									</div>
								<?php }?>	
								<?php //if($params->get('item_readmore_display', 0) == 1){?>
									<div class="item-readmore">
                                    	<?php 
										$hrefFancy = $item->link;
										$hrefFancy .= (strpos($item->link,'?'))?'&tmpl=component':'?tmpl=component';
										?>
										<a class="fancybox fancybox.iframe <?php echo ($img)?'':'item-img-mask'?>" data-fancybox-group="gallery" href="<?php echo $hrefFancy; ?>" title="<?php echo $item->title;?> "></a>
											 <?php //echo $params->get('item_readmore_text','read more..') ?>
										</a>
									</div>
								<?php //} ?>
							</div>
							
						</div>
						<?php }?>
						
						<?php if($params->get('itemTitle',1) == 1){?>
						<a class="item-title" href="<?php echo $item->link ?>" <?php echo modSjK2ResContentHelper::parseTarget($options->link_target);?> title="<?php echo $item->title?>" >
							<h4 class="item-title">
								<?php echo modSjK2ResContentHelper::truncate($item->title, $params->get('itemTitleWordLimit',25)); ?>
							</h4>
						</a>
						<?php } ?>
						<?php if($params->get('itemDateCreated',1) == 1) {?>
							<span class="item-date">
								<i class="icon-date"></i>Published:<?php echo  JHTML::_('date', $item->created,JText::_('DATE_FORMAT_LC3')) ?>
							</span>
						<?php }?>
								
						<?php if( $params->get('itemHits',1) == 1 || $params->get('itemCommentsCounter',1) == 1) {?>
							<div class="item-caption">	
								<?php if($params->get('itemHits',1) == 1 || $params->get('itemCommentsCounter',1) == 1) {?>
								<div class="item-hit-comment">
									<?php if($params->get('itemHits',1) == 1) {?>
									<div class="item-hit">
										<i class="icon-eye-open"></i>
										<span><?php if ((int)$item->hits>1){ ?>
												<?php echo $item->hits ?> <span class="item-label">hits </span>
												<?php } else {?>
													<?php echo $item->hits ?> <span  class="item-label">hit</span>
												<?php }?>
										</span>
									</div>
									<?php }?>
									<?php if($params->get('itemCommentsCounter',1) == 1) {?>
									<div class="item-comment">
										<a class="itemCommentsLink"  href="<?php echo $item->link ?>#itemCommentsAnchor" <?php echo modSjK2ResContentHelper::parseTarget($options->link_target);?>>
											<i class="icon-comment"></i>
											<span>
											<?php echo $item->numOfComments; ?>
												<span  class="item-label">&nbsp
													<?php if($item->numOfComments > 0): ?>  
														<?php echo ($item->numOfComments>1) ? JText::_('K2_COMMENTS') : JText::_('K2_COMMENT'); ?>
													<?php else: ?>
														<?php echo JText::_('K2_COMMENT'); ?>
													<?php endif; ?>
												</span>
											</span>
										</a>
									</div>
									<?php }?>
									
									
								</div>
								<?php }?>
								
							</div>
						<?php } ?>
						
					</div>
					
					
				</div>
	    	</div>
	    </div>
	</div>
	<?php 
	} ?>
