<?php
/*
 * ------------------------------------------------------------------------
 * Yt FrameWork for Joomla 3.0
 * ------------------------------------------------------------------------
 * Copyright (C) 2009 - 2012 The YouTech JSC. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: The YouTech JSC
 * Websites: http://www.smartaddons.com - http://www.cmsportal.net
 * ------------------------------------------------------------------------
*/
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
// Add css config to <head>...</head>
$doc->addStyleDeclaration('
body{
	background-color:'.$yt->getParam('bgcolor').' ;
	color:'.$yt->getParam('textcolor').' ;
}

body a{
	color:'.$yt->getParam('linkcolor').' ;
}

');
// Add class pattern to element wrap
?>
<script type="text/javascript">
	jQuery(document).ready(function($){  
		/* Begin: add class pattern for element */
		var bgimage = '<?php echo $yt->getParam('bgimage');?>';
		if(bgimage){
			$('body').addClass(bgimage);
		}
		/* End: add class pattern for element */
	});
</script>
<?php
// Include cpanel
if( $yt->getParam('showCpanel') ) {
	include_once (J_TEMPLATEDIR.J_SEPARATOR.'includes'.J_SEPARATOR.'cpanel.php');
	
	$doc->addStyleSheet($yt->templateurl().'css/cpanel.css','text/css');
	$doc->addStyleSheet($yt->templateurl().'asset/minicolors/jquery.miniColors.css','text/css');
	$doc->addScript($yt->templateurl().'js/ytcpanel.js');
	$doc->addScript($yt->templateurl().'asset/minicolors/jquery.miniColors.min.js');
?>
	<script type="text/javascript">
    jQuery(document).ready(function($){
        /* Begin: Enabling miniColors */
        //$('.color-picker').miniColors();
		$('.body-backgroud-color .color-picker').miniColors({
			change: function(hex, rgb) {
				$('body').css('background-color', hex); 
				createCookie(TMPL_NAME+'_'+($(this).attr('name').match(/^ytcpanel_(.*)$/))[1], hex, 365);
			}
		});
		$('.link-color .color-picker').miniColors({
			change: function(hex, rgb) {
				$('body a').css('color', hex);
				createCookie(TMPL_NAME+'_'+($(this).attr('name').match(/^ytcpanel_(.*)$/))[1], hex, 365);
			}
		});
		$('.text-color .color-picker').miniColors({
			change: function(hex, rgb) {
				$('body').css('color', hex);
				createCookie(TMPL_NAME+'_'+($(this).attr('name').match(/^ytcpanel_(.*)$/))[1], hex, 365);
			}
		});
		
		/* End: Enabling miniColors */
		/* Begin: Set click pattern */
		function patternClick(el, paramCookie, assign){
			$(el).click(function(){
				oldvalue = $(this).parent().find('.active').html();
				$(el).removeClass('active');
				$(this).addClass('active');
				value = $(this).html();
				if(assign.length > 0){
					for($i=0; $i < assign.length; $i++){
						$(assign[$i]).removeClass(oldvalue);
						$(assign[$i]).addClass(value);
					}
				}
				if(paramCookie){
					$('input[name$="ytcpanel_'+paramCookie+'"]').attr('value', value);
					createCookie(TMPL_NAME+'_'+paramCookie, value, 365);
					
				}
			});
	
		}
		patternClick('.body-backgroud-image .pattern', 'bgimage', Array('#bd'));
        
        /* End: Set click pattern */
		function templateSetting(array){
			if(array['0']){
				$('.body-backgroud-color input.miniColors').attr('value', array['0']);
				$('.body-backgroud-color a.miniColors-trigger').css('background-color', array['0']);
				$('input.ytcpanel_bgcolor').attr('value', array['0']);
			}
			if(array['1']){
				$('.link-color input.miniColors').attr('value', array['1']);
				$('.link-color a.miniColors-trigger').css('background-color', array['1']);
				$('input.ytcpanel_linkcolor').attr('value', array['1']);
			}
			if(array['2']){
				$('.text-color input.miniColors').attr('value', array['2']);
				$('.text-color a.miniColors-trigger').css('background-color', array['2']);
				$('input.ytcpanel_textcolor').attr('value', array['2']);
			}
			if(array['3']){
				$('.body-backgroud-image .pattern').removeClass('active');
				$('.body-backgroud-image .pattern.'+array['3']).addClass('active');
				$('input[name$="ytcpanel_bgimage"]').attr('value', array['3']);
			}
			
		}
		var array 		 = Array('bgcolor','linkcolor','textcolor','bgimage');
		
		var array_blue      = Array('#ffffff','#02b9f3','#666666','pattern_1');
		var array_green     = Array('#ffffff','#7bcc03','#666666','pattern_1');
		var array_purple    = Array('#ffffff','#b43eea','#666666','pattern_1');
		var array_oranges   = Array('#ffffff','#f78002','#666666','pattern_1');
		var array_red 	    = Array('#ffffff','#b62021','#666666','pattern_1');

		$('.theme-color.blue').click(function(){
			$($(this).parent().find('.active')).removeClass('active'); $(this).addClass('active');
			createCookie(TMPL_NAME+'_'+'sitestyle', $(this).html().toLowerCase(), 365);
			templateSetting(array_green);
			onCPApply();
		});
		$('.theme-color.green').click(function(){
			$($(this).parent().find('.active')).removeClass('active'); $(this).addClass('active');
			createCookie(TMPL_NAME+'_'+'sitestyle', $(this).html().toLowerCase(), 365);
			templateSetting(array_green);
			onCPApply();
		});
		$('.theme-color.purple').click(function(){
			$($(this).parent().find('.active')).removeClass('active'); $(this).addClass('active');
			createCookie(TMPL_NAME+'_'+'sitestyle', $(this).html().toLowerCase(), 365);
			templateSetting(array_purple);
			onCPApply();
		});
		$('.theme-color.oranges').click(function(){
			$($(this).parent().find('.active')).removeClass('active'); $(this).addClass('active');
			createCookie(TMPL_NAME+'_'+'sitestyle', $(this).html().toLowerCase(), 365);
			templateSetting(array_oranges);
			onCPApply();
		});
		$('.theme-color.red').click(function(){
			$($(this).parent().find('.active')).removeClass('active'); $(this).addClass('active');
			createCookie(TMPL_NAME+'_'+'sitestyle', $(this).html().toLowerCase(), 365);
			templateSetting(array_red);
			onCPApply();
		});
		
    });
    </script>
<?php
}
// Show back to top
if( $yt->getParam('showBacktotop') ) {
    include_once (J_TEMPLATEDIR.J_SEPARATOR.'includes'.J_SEPARATOR.'backtotop.php');
}
?>