<?php 
/*
 * ------------------------------------------------------------------------
 * Yt FrameWork for Joomla 3.0
 * ------------------------------------------------------------------------
 * Copyright (C) 2009 - 2012 The YouTech JSC. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: The YouTech JSC
 * Websites: http://www.smartaddons.com - http://www.cmsportal.net
 * ------------------------------------------------------------------------
*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<script>
    jQuery(window).load(function(){
		jQuery("#cpanel_wrapper span,#cpanel_wrapper a").tooltip({
                  'selector': '',
                  'placement': 'top'
                });
		jQuery(".switch-layout").tooltip({
                  'selector': '',
                  'placement': 'left'
                });
    });
	
</script>
<div id="cpanel_wrapper" style="direction:ltr">
	<div class="cpanel-head">Template Settings</div>
    <div class="cpanel-theme-color">
    	<span class="theme-color-heading">Select color sample for all parameters</span>
        <div class="inner clearfix">
		<span title="Blue"  class="theme-color blue<?php echo ($yt->getParam('sitestyle')=='blue')?' active':'';?>">Blue</span>
		<span title="Green"  class="theme-color green<?php echo ($yt->getParam('sitestyle')=='green')?' active':'';?>">Green</span>
		<span title="Purple" class="theme-color purple<?php echo ($yt->getParam('sitestyle')=='purple')?' active':'';?>">purple</span>
		<span title="Oranges" class="theme-color oranges<?php echo ($yt->getParam('sitestyle')=='oranges')?' active':'';?>">oranges</span>
		<span title="Red" class="theme-color red<?php echo ($yt->getParam('sitestyle')=='red')?' active':'';?>">red</span>
			
        </div>
    </div>
    <div class="accordion" id="ytcpanel_accordion">
    	<!--Body-->
        <div class="accordion-group cpnel-body">
            <div class="accordion-heading">
                <a class="accordion-toggle" data-toggle="collapse" data-parent="#ytcpanel_accordion" href="#ytitem_1">
                Body
                </a>
            </div>
            <div id="ytitem_1" class="accordion-body collapse in">
                <div class="accordion-inner clearfix">
                    <!-- Body backgroud color -->
                    <div class="cp-item body-backgroud-color">
                        <span>Background Color</span>
                        <div class="inner">
                        	<input type="text" value="<?php echo $yt->getParam('bgcolor');?>" autocomplete="off" size="7" class="color-picker miniColors" name="ytcpanel_bgcolor" maxlength="7">
                        </div>
                    </div>
                    <!-- Link color-->
                    <div class="cp-item link-color">
                        <span>Link Color</span>
                        <div class="inner">
                        	<input type="text" value="<?php echo $yt->getParam('linkcolor');?>" autocomplete="off" size="7" class="color-picker miniColors" name="ytcpanel_linkcolor" maxlength="7">
                        </div>
                    </div>
                    <!-- Text color-->
                    <div class="cp-item text-color">
                        <span>Text Color</span>
                        <div class="inner">
                        	<input type="text" value="<?php echo $yt->getParam('textcolor'); ?>" autocomplete="off" size="7" class="color-picker miniColors" name="ytcpanel_textcolor" maxlength="7">
                        </div>
                    </div>
					 <!-- Backgroud image-->
                    <div class="cp-item body-backgroud-image">
                        <span>Backgroud image</span>
                        <div class="inner">
                        	<input type="hidden" value="<?php echo $yt->getParam('bgimage');?>" name="ytcpanel_bgimage" />
                            <a href="#" title="pattern1" class="pattern pattern1<?php echo ($yt->getParam('bgimage')=='pattern1')?' active':''?>">pattern1</a>
                            <a href="#" title="pattern2" class="pattern pattern2<?php echo ($yt->getParam('bgimage')=='pattern2')?' active':''?>">pattern2</a>
                            <a href="#" title="pattern3" class="pattern pattern3<?php echo ($yt->getParam('bgimage')=='pattern3')?' active':''?>">pattern3</a>
                            <a href="#" title="pattern4" class="pattern pattern4<?php echo ($yt->getParam('bgimage')=='pattern4')?' active':''?>">pattern4</a>
                            <a href="#" title="pattern5" class="pattern pattern5<?php echo ($yt->getParam('bgimage')=='pattern5')?' active':''?>">pattern5</a>
							<a href="#" title="pattern6" class="pattern pattern6<?php echo ($yt->getParam('bgimage')=='pattern6')?' active':''?>">pattern6</a>
							<a href="#" title="pattern7" class="pattern pattern7<?php echo ($yt->getParam('bgimage')=='pattern7')?' active':''?>">pattern7</a>
							<a href="#" title="pattern8" class="pattern pattern8<?php echo ($yt->getParam('bgimage')=='pattern8')?' active':''?>">pattern8</a>
                        </div>
                    </div>
					
                </div>
            </div>
        </div>
        
        <!-- Layouts -->
        <div class="accordion-group cpanel-layout">
            <div class="accordion-heading">
                <a class="accordion-toggle" data-toggle="collapse" data-parent="#ytcpanel_accordion" href="#ytitem_6">
                Layouts
                </a>
            </div>
            <div id="ytitem_6" class="accordion-body collapse">
                <div class="accordion-inner clearfix">
                	<!-- Backgroud color -->
                    <div class="cp-item footer-backgroud-color">
                        <span>Select layouts</span>
                        <div class="inner">
                        	<select onchange="javascript: onCPApply();" name="ytcpanel_default_main_layout" class="cp_select">
                                <option value="left-main.xml"<?php echo ($yt->getParam('default_main_layout')=='left-main.xml')?' selected="selected"':'';?>>Left Main</option>
                                <option value="main.xml"<?php echo ($yt->getParam('default_main_layout')=='main.xml')?' selected="selected"':'';?>>Main</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <!-- Features -->
        <div class="accordion-group cpanel-features">
            <div class="accordion-heading">
                <a class="accordion-toggle" data-toggle="collapse" data-parent="#ytcpanel_accordion" href="#ytitem_7">
                Menu Style
                </a>
            </div>
            <div id="ytitem_7" class="accordion-body collapse">
                <div class="accordion-inner clearfix">
                   
                    
                    <!-- Mainmenu -->
                    <div class="cp-item body-fontfamily">
                        <span>Select menu </span>
                        <div class="inner">
                            <select onchange="javascript: onCPApply();" name="ytcpanel_menustyle" class="cp_select">
                                <option value="mega"<?php echo ($yt->getParam('menustyle')=='mega')?' selected="selected"':'';?>>Mega Menu</option>
								<option value="moo"<?php echo ($yt->getParam('menustyle')=='moo')?' selected="selected"':'';?>>Moo Menu</option>
                                <option value="basic"<?php echo ($yt->getParam('menustyle')=='basic')?' selected="selected"':'';?>>CSS Menu</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <!-- Typography -->
        <div class="accordion-group cpanel-typography">
            <div class="accordion-heading">
                <a class="accordion-toggle" data-toggle="collapse" data-parent="#ytcpanel_accordion" href="#ytitem_4">
                Typography
                </a>
            </div>
            <div id="ytitem_4" class="accordion-typo collapse">
                <div class="accordion-inner clearfix">
                	<!-- Google font -->
                    <div class="cp-item">
                        <span>Google Font</span>
                        <div class="inner">
                        	<?php 
							$googleFont = array(
										'None'=>'none',
										'Archivo Narrow'=>'Archivo Narrow',
										'Open Sans'=>'Open Sans',
										'BenchNine'=>'BenchNine',
										'Droid Sans'=>'Droid Sans',
										'Droid Serif'=>'Droid Serif',
										'PT Sans'=>'PT Sans',
										'Vollkorn'=>'Vollkorn',
										'Ubuntu'=>'Ubuntu',
										'Neucha'=>'Neucha',
										'Cuprum'=>'Cuprum'
							);
							?>
                            <select onchange="javascript: onCPApply();" name="ytcpanel_googleWebFont" class="cp_select">
							<?php foreach($googleFont as $k=>$v):?>
                                <option value="<?php echo $v; ?>"<?php echo ($yt->getParam('googleWebFont')==$v)?' selected="selected"':'';?>>
									
									<?php echo $k; ?>
									<?php //var_dump($k);die; ?>
								</option>
								
                            <?php endforeach; ?>
                            </select>
                        </div>
                    </div>
                    <!-- Body font-size -->
                    <div class="cp-item">
                        <span>Body Font-size</span>
                        <div class="inner">
                            <?php 
							$fontfamily = array(
										 '10px'=>'10px',
										 '11px'=>'11px',
										 'Default'=>'12px',
										 '13px'=>'13px',
										 '14px'=>'14px',
										 '15px'=>'15px',
										 '16px'=>'16px',
										 '17px'=>'17px',
										 '18px'=>'18px'
							);
							?>
                            <select onchange="javascript: onCPApply();" name="ytcpanel_fontsize" class="cp_select">
							<?php foreach($fontfamily as $k=>$v):?>
                                <option value="<?php echo $v; ?>"<?php echo ($yt->getParam('fontsize')==$v)?' selected="selected"':'';?>><?php echo $k; ?></option>
                            <?php endforeach; ?>
                            </select>
                        </div>
                    </div>
                    <!-- Body font-family -->
                    <div class="cp-item body-fontfamily">
                        <span>Body Font-family</span>
                        <div class="inner">
                        <?php 
						$fontfamily = array(
									 'Arial'=>'arial',
									 'Arial Black'=>'arial-black',
									 'Courier New'=>'courier',
									 'Georgia'=>'georgia',
									 'Impact'=>'impact',
									 'Lucida Console'=>'lucida-console',
									 'Lucida Grande'=>'lucida-grande',
									 'Palatino'=>'palatino',
									 'Tahoma'=>'tahoma',
									 'Times New Roman'=>'times',
									 'Trebuchet'=>'trebuchet',
									 'Verdana'=>'verdana'
						);
						?>
                            <select onchange="javascript: onCPApply();" name="ytcpanel_font_name" class="cp_select">
							<?php foreach($fontfamily as $k=>$v):?>
                                <option value="<?php echo $v; ?>"<?php echo ($yt->getParam('font_name')==$v)?' selected="selected"':'';?>><?php echo $k; ?></option>
                            <?php endforeach; ?>
                            </select>
                        </div>
                    </div>
                    
                    <!-- Direction -->
                    <div class="cp-item body-fontfamily">
                        <span>Direction</span>
                        <div class="inner">
                            <select onchange="javascript: onCPApply();" name="ytcpanel_direction" class="cp_select">
                                <option value="ltr"<?php echo ($yt->getParam('direction')=='ltr')?' selected="selected"':'';?>>LTR Language</option>
                                <option value="rtl"<?php echo ($yt->getParam('direction')=='rtl')?' selected="selected"':'';?>>RTL Language</option>
                            </select>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
       
         
	
	
    </div>
    <!-- Action button -->
    <div class="action">
    	<a class="btn btn-info reset" href="#" onclick="javascript: onCPResetDefault(TMPL_COOKIE);" >Reset</a>
    </div>
    <div id="cpanel_btn" class="normal">
        <i class="icon-hand-left"></i>
    </div>
</div>