<?php
/**
 * @package SJ Accordion Menu
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;
defined('_YTOOLS') or include_once 'core' . DS . 'sjimport.php';
    
      $moduleURI = JURI::base()."modules/mod_sj_accordionmenu/";
      $imagesURI = $moduleURI."assets/images";
      $menuType = $params->get("menutype");
      $startLevel = $params->get("startlevel", 1);
      $endLevel = $params->get("endlevel", "all");
      $showSub = $params->get("showsub", "true");
      $event = $params->get("event","click");
      $duration = $params->get("duration",300);
      $subWidth = $params->get("subwidth","200")."px";
      $textAlign = $params->get("textalign", "left");
      $showBullet = $params->get("showbullet", "true");
      $bulletImage = $imagesURI."/button.png";
      $bulletActive = $imagesURI."/button-active.png";
      $bulletAlign = $params->get("bulletalign","right");
      $loadJquery = $params->get("loadjquery","true");
      
      YTools::setModule($module);
      // import jQuery
      if (!defined('SMART_JQUERY') && (int)$params->get('include_jquery', '1')){
          YTools::script('jquery-1.5.2.min.js');
          define('SMART_JQUERY', 1);
      }
      if (!defined('SMART_NOCONFLICT')){
          YTools::script('jsmart.noconflict.js');
          define('SMART_NOCONFLICT', 1);
      }
      YTools::stylesheet('style.css');
      YTools::stylesheet('style-font-color.css');
      
      
      if (!class_exists('AccordionMenuHelper')) {
          include   "core" . DS . 'accordionmenu.php';       
      }
      
      $list	= AccordionMenuHelper::getList($menuType, $startLevel, $endLevel, $showSub);
      $itemID = JRequest::getInt('Itemid');
      
      if(count($list)) {
          require JModuleHelper::getLayoutPath('mod_sj_accordionmenu', 'default');
      }
?>

