<?php
/**
 * @version		$Id: blog_children.php 20196 2011-01-09 02:40:25Z ian $
 * @package		Joomla.Site
 * @subpackage	com_content
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;
$class = ' class="first"';
?>

<?php if (count($this->children[$this->category->id]) > 0 && $this->maxLevel != 0) : ?>
	<div class="categories-list row-fluid">
	<?php foreach($this->children[$this->category->id] as $id => $child) : ?>
		
		<?php
		if ($this->params->get('show_empty_categories') || $child->numitems || count($child->getChildren())) :
			if (!isset($this->children[$this->category->id][$id + 1])) :
				$class = ' class="last"';
			endif;
			
		?>
		<?php
			$inumber = $this->columns;
			if($i< $inumber) $i++;
			elseif ($i== $inumber) $i=1;
        ?>
		<div<?php //echo $class; ?> class="categories-view span<?php echo round((12 / $this->columns));?>  <?php  echo'item'.$i;?>">
			<?php $class = ''; ?>
			<h3 class="page-header item-title">
				
				<span class="item-title"><a href="<?php echo JRoute::_(ContentHelperRoute::getCategoryRoute($child->id));?>">
					<?php echo $this->escape($child->title); ?></a>
				</span>
				<?php if ( $this->params->get('show_cat_num_articles',1)) : ?>
				<span class="badge badge-info tip hasTooltip" data-original-title="Article Count:">
					<?php echo $child->getNumItems(true); ?>
				</span>
				<?php endif ; ?>
			</h3>
			<?php if ($this->params->get('show_subcat_desc') == 1) :?>
			<?php if ($child->description) : ?>
				<div class="category-desc">
					<?php echo JHtml::_('content.prepare', $child->description); ?>
				</div>
			<?php endif; ?>
            <?php endif; ?>

			

			<?php if (count($child->getChildren()) > 0):
				$this->children[$child->id] = $child->getChildren();
				$this->category = $child;
				$this->maxLevel--;
				if ($this->maxLevel != 0) :
					echo $this->loadTemplate('children');
				endif;
				$this->category = $child->getParent();
				$this->maxLevel++;
			endif; ?>
		</div>
		<?php endif; ?>
		 
	<?php endforeach; ?>
	</div>
<?php endif;